<?php
include_once("c_setting_update.php");

class c_page_cab_setting_diagnostik extends c_page_cab_setting_update
{
    public $h1='Диагностика системы' ;

    function block_main()
    {
        $this->page_title() ;  //damp_array($_POST,1,-1) ;
        $this->check_AddOnsDirs() ;
    }

    function check_AddOnsDirs()
    {   ?><h2>Проверка плагинов в директории AddOns</h2><?
        $error=0 ;
        $error+=check_AddOns_dir('cryptopro') ;
        $error+=check_AddOns_dir('CustomFileInputs') ;
        $error+=check_AddOns_dir('datetimepicker-master') ;
        $error+=check_AddOns_dir('FlipClock') ;
        $error+=check_AddOns_dir('font-awesome-4.7.1') ;
        $error+=check_AddOns_dir('fusioncharts-suite-xt') ;
        $error+=check_AddOns_dir('highslide') ;
        $error+=check_AddOns_dir('html2pdf') ;
        $error+=check_AddOns_dir('jSignature') ;
        $error+=check_AddOns_dir('pChart2.1.4') ;
        $error+=check_AddOns_dir('phpqrcode') ;
        $error+=check_AddOns_dir('printPage') ;
        $error+=check_AddOns_dir('sky-forms-pro') ;
        $error+=check_AddOns_dir('sky-mega-menu') ;
        $error+=check_AddOns_dir('sounds') ;
        $error+=check_AddOns_dir('tapmodo-jcrop-0.9.12') ;
        $error+=check_AddOns_dir('tcpdf') ;
        $error+=check_AddOns_dir('testclient') ;
        $error+=check_AddOns_dir('uploader-master') ;
        $error+=check_AddOns_dir('zoom-master') ;
        if ($error) echo '<div class="red">Вам необходимо установить отсутствующие плагины</div>' ;
        else echo '<div class="green">Вам плагины установлены</div>' ;
    }
}
